%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Network information tool for GNOME
Name:		gnome-nettool
Version:	3.8.1
Release:	%mkrel 10
URL:		http://projects.gnome.org/gnome-network/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+ and GFDL
Group:		Graphical desktop/GNOME
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.4
BuildRequires:  pkgconfig(gio-2.0) >= 2.25.10
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:	itstool
Requires:	whois
Requires:	traceroute

%description
GNOME Nettool is a frontend to various networking commandline
tools, like ping, netstat, ifconfig, whois, traceroute, finger.

%prep
%setup -q

%build
%configure \
	--disable-scrollkeeper \
	--disable-schemas-compile \
	--disable-static
%make_build

%install
%make_install

desktop-file-install \
	--vendor "" \
	--delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	--remove-category Network \
	--add-category GNOME \
	--add-category System \
	--add-category Utility \
	--set-generic-name='Network information tools' \
		%{buildroot}%{_datadir}/applications/gnome-nettool.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-nettool.gschema.xml


%changelog
* Wed Apr 22 2020 ovitters <ovitters> 3.8.1-10.mga8
+ Revision: 1570809
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 3.8.1-9.mga8
+ Revision: 1512600
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.8.1-8.mga7
+ Revision: 1297966
- Mageia 7 Mass Rebuild

* Wed Sep 13 2017 tv <tv> 3.8.1-7.mga7
+ Revision: 1153400
- rebuild for new libgtop

* Tue Feb 09 2016 umeabot <umeabot> 3.8.1-6.mga6
+ Revision: 951676
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 3.8.1-5.mga5
+ Revision: 808860
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 3.8.1-4.mga5
+ Revision: 740490
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.1-3.mga5
+ Revision: 679740
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.8.1-2.mga5
+ Revision: 526349
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 436740
- new version 3.8.1

* Sun May 26 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 427826
- add 'itstool' as BR
- new version 3.8.0
- add 'libsecret' as BR

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-2.mga3
+ Revision: 352174
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 13 2012 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 230605
- new version 3.2.0

* Tue Feb 21 2012 fwang <fwang> 3.1.1-1.mga2
+ Revision: 211315
- new version 3.1.1

* Wed Jan 04 2012 wally <wally> 3.0.1-1.mga2
+ Revision: 190744
- imported package gnome-nettool

